Bug 203921 - Can't use 1024x768 with fbdev driver
Summary: Can't use 1024x768 with fbdev driver
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11-drv-fbdev   
(Show other bugs)
Version: 4.0
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-24 14:54 UTC by Bastien Nocera
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 13:44:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (15.16 KB, text/plain)
2006-08-24 14:54 UTC, Bastien Nocera
no flags Details
Xorg.0.log.hyundai (15.46 KB, text/plain)
2006-08-24 14:55 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2006-08-24 14:54:10 UTC
A PPC machine, setup with a Matrox video card, and using matroxfb.

On one specific monitor (a 15" IBM one), X will run at 800x600 with a viewport
of 1024x768.
With another one (a 17" Hyundai), X will run at 1024x768.

The IBM monitor works fine in 1024x768 on other machines.

The difference in the X.org logs is:
IBM:
(II) FBDEV(0): Checking Modes against framebuffer device...
(II) FBDEV(0): 	mode "1024x768" ok
(II) FBDEV(0): 	mode "800x600" ok
(II) FBDEV(0): 	mode "640x480" ok
(II) FBDEV(0): Checking Modes against monitor...
(--) FBDEV(0): Virtual size is 1024x768 (pitch 1024)
(**) FBDEV(0):  Default mode "800x600": 36.0 MHz (scaled from 0.0 MHz), 35.2
kHz, 56.2 Hz
(II) FBDEV(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625
+hsync +vsync

Hyundai:
(II) FBDEV(0): Checking Modes against framebuffer device...
(II) FBDEV(0): 	mode "1024x768" ok
(II) FBDEV(0): 	mode "800x600" ok
(II) FBDEV(0): 	mode "640x480" ok
(II) FBDEV(0): Checking Modes against monitor...
(--) FBDEV(0): Virtual size is 1024x768 (pitch 1024)
(**) FBDEV(0):  Default mode "1024x768": 44.9 MHz (scaled from 0.0 MHz), 35.5
kHz, 87.0 Hz (I)
(II) FBDEV(0): Modeline "1024x768"   44.90  1024 1032 1208 1264  768 768 776 817
interlace +hsync +vsync

Comment 1 Bastien Nocera 2006-08-24 14:54:59 UTC
Created attachment 134822 [details]
Xorg.0.log

log from the IBM monitor

Comment 2 Bastien Nocera 2006-08-24 14:55:35 UTC
Created attachment 134823 [details]
Xorg.0.log.hyundai

Log from the Hyundai monitor

Comment 3 Bastien Nocera 2006-08-24 14:56:37 UTC
X.org version tested was xorg-x11-6.8.2-1.EL.13.37

Comment 4 Bastien Nocera 2006-08-24 14:59:49 UTC
We also tried setting the FB mode on the command-line with fbset, and starting X
afterwards, but no go.

# fbset 1024x768-60
# fbset

mode "1024x768-60"
   # D: 64.998 MHz, H: 48.362 kHz, V: 60.002 Hz
   geometry 1024 768 1024 768 8
   timings 15385 160 24 29 3 136 6
   accel true
   rgba 8/0,8/0,8/0,0/0
endmode

# fbset -x

Mode "1024x768"
   # D: 64.998 MHz, H: 48.362 kHz, V: 60.002 Hz
   DotClock 64.999
   HTimings 1024 1048 1184 1344
   VTimings 768 771 777 806
   Flags    "-HSync" "-VSync"    # Warning: XFree86 doesn't support accel


EndMode

Comment 5 Adam Jackson 2006-08-24 16:06:42 UTC
These aren't being run from the same config:

-(**) FBDEV(0): Depth 16, (--) framebuffer bpp 16
-(==) FBDEV(0): RGB weight 565
+(**) FBDEV(0): Depth 24, (--) framebuffer bpp 24
+(==) FBDEV(0): RGB weight 888

Where + is the Hyundai monitor's log.  So presumably the xorg.conf for the two
monitors are different, probably with the Hyundai one specifying HorizSync and
VertRefresh ranges big enough to contain the 1024x768 mode and the IBM one using
the default ranges, which clamp you to 800x600 iirc.

Comment 6 Bastien Nocera 2006-08-24 16:17:03 UTC
Thanks, will try and get that sorted.


Note You need to log in before you can comment on or make changes to this bug.